﻿@{
    Layout = null;
}


<style>
    .tst {
        color: red;
    }
</style>

<script src="~/Scripts/jquery-3.4.1.min.js"></script>
<script src="~/Scripts/jquery.validate.js"></script>
<script src="~/Scripts/jquery-ui-1.13.2.min.js"></script>
<script src="~/Scripts/bootstrap.min.js"></script>
<link href="~/Content/bootstrap.min.css" rel="stylesheet" />
<link href="~/Content/bootstrap-timepicker/css/bootstrap-timepicker.css" rel="stylesheet" />
<script src="~/Content/bootstrap-timepicker/js/bootstrap-timepicker.js"></script>
<script src="~/Scripts/CustomScript/FoodDashboard/DisplayOrder.js"></script>
<script src="~/Scripts/jQuery-Paging/jquery.paging.min.js"></script>


<div class="container">
    <h2>FOOD-MANAGEMENT</h2>
    <br />
    <button type="button" id="myModel" class="btn btn-primary  text-left">Add Order</button>
    <br /><br />
    <table class="table table-bordered table-hover text-center" id="mytable">
        <thead>
            <tr>
                <th class="text-center">ClientId</th>
                <th class="text-center">ClientName</th>
                <th class="text-center">ItemName</th>
                <th class="text-center">Quantity</th>
                <th class="text-center">Price</th>
                <th class="text-center">PrepareTime (Minute)</th>
                <th class="text-center">PaymentType</th>
                <th class="text-center">Action</th>
            </tr>
        </thead>
        <tbody class="tbody">
        </tbody>
        <tfoot>
            <tr>
                <th class="text-center" colspan="3">Total</th>
                <th class="text-center" colspan="1" id="totalquantity"></th>
                <th class="text-center" id="totalprice"></th>
            </tr>
        </tfoot>
    </table>
</div>

<div class="modal fade" id="myModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" onclick="refreshModel();">×</button>
                <h4 class="modal-title" id="myModalLabel">Add Order</h4>
            </div>
            <div class="modal-body">
                <form id="formOrder" name="formOrder" autocomplete="off">
                    <fieldset>
                        <div class="col-md-6">
                            <div class="form-group" hidden>
                                <label for="ClientId">ClientId</label>
                                <input type="text" class="form-control" id="ClientId" placeholder="ClientId" disabled="disabled" />
                            </div>
                            <div class="form-group">
                                <label for="FirstName">FirstName</label>
                                <input type="text" class="form-control" id="FirstName" name="FirstName" placeholder="firstname" required />
                            </div>
                            <div class="form-group">
                                <label for="LastName">LastName</label>
                                <input type="text" class="form-control" id="LastName" name="LastName" placeholder="lastname" required />
                            </div>
                            <div class="form-group">
                                <label for="PhoneNumber">PhoneNumber</label>
                                <input type="text" class="form-control" id="PhoneNumber" maxlength="10" name="PhoneNumber" placeholder="phonenumber" required />
                            </div>
                            <div class="form-group">
                                <label for="ItemName">ItemName</label>
                                <select class="form-control" id="ItemName" name="ItemName" required>
                                    <option value="">----- Select Item --</option>
                                </select>
                            </div>
                        </div>

                        <div class="col-md-6">
                            <div class="form-group">
                                <label for="Quantity">Quantity</label>
                                <input type="number" class="form-control" id="Quantity" name="Quantity" placeholder="quantity" required />
                            </div>
                            <div class="form-group">
                                <label for="Price">Price</label>
                                <input type="text" class="form-control" id="Price" name="Price" required disabled />
                            </div>
                            <div class="form-group">
                                <label for="PrepareTime">PrepareTime</label>
                                <input type="text" class="form-control" id="PrepareTime" name="PrepareTime" placeholder="preparetime" required />
                            </div>
                            <div class="form-group">
                                <label for="PaymentType">PaymentType</label>
                                <select id="PaymentType" class="form-control" name="PaymentType" required>
                                    <option value="">-- Select Payment Type ---</option>
                                    <option value="1">Online</option>
                                    <option value="0">Cash</option>
                                </select>
                            </div>
                        </div>
                    </fieldset>
                </form>
            </div>
            <div class="modal-footer">
                <button type="submit" class="btn btn-primary" id="btnAdd" onclick="AddOrder();">Save</button>
                <button type="button" class="btn btn-primary" id="btnUpdate" style="display:none;" onclick="UpdateOrderDetails();">Update</button>
                <button type="button" class="btn btn-default" data-dismiss="modal" onclick="refreshModel();">Close</button>
            </div>
        </div>
    </div>
</div>

